> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment

> Returns a deployment run by database ID.



## OpenAPI

````yaml https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/deployments.yaml get /api/deployments/{id}
openapi: 3.0.3
info:
  title: Insforge Deployments API
  version: 1.0.0
  description: >-
    Frontend deployment sessions, source uploads, environment variables, and
    custom domains.
servers: []
security: []
paths:
  /api/deployments/{id}:
    get:
      tags:
        - Admin
      summary: Get deployment
      description: Returns a deployment run by database ID.
      parameters:
        - $ref: '#/components/parameters/DeploymentId'
      responses:
        '200':
          description: Deployment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Deployment'
        '401':
          description: Unauthorized
        '403':
          description: Admin access required
        '404':
          $ref: '#/components/responses/Error'
        '500':
          $ref: '#/components/responses/Error'
      security:
        - bearerAuth: []
        - apiKey: []
components:
  parameters:
    DeploymentId:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: Deployment run ID.
  schemas:
    Deployment:
      type: object
      required:
        - id
        - providerDeploymentId
        - provider
        - status
        - url
        - metadata
        - createdAt
        - updatedAt
      properties:
        id:
          type: string
          format: uuid
        providerDeploymentId:
          type: string
          nullable: true
          description: >-
            Provider deployment ID. Null until the provider deployment is
            created.
        provider:
          type: string
          example: vercel
        status:
          $ref: '#/components/schemas/DeploymentStatus'
        url:
          type: string
          nullable: true
          example: https://my-app.vercel.app
        metadata:
          type: object
          nullable: true
          additionalProperties: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    DeploymentStatus:
      type: string
      enum:
        - WAITING
        - UPLOADING
        - QUEUED
        - BUILDING
        - READY
        - ERROR
        - CANCELED
    ErrorResponse:
      type: object
      required:
        - error
        - message
        - statusCode
      properties:
        error:
          type: string
          description: Error code for programmatic handling.
        message:
          type: string
          description: Human-readable error message.
        statusCode:
          type: integer
        nextActions:
          type: string
          description: Suggested action to resolve the error.
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Project admin JWT or an API key passed as a Bearer token.
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````